# Fabulously Optimized

A simple modpack for people who are used to having Forge and OptiFine and are curious to see what equivalents Fabric has to offer. You could consider this modpack a "starting point" to optimize your game before adding more functional mods or you could just play this as if it was vanilla - the choice is yours. 

The pack only adds performance and graphics enhancements to the client, so **it works on every world and server**.

[![Download from Curseforge](http://cf.way2muchnoise.eu/full_fabulously-optimized_downloads%20on%20Curseforge.svg?badge_style=for_the_badge)](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized)

## Reviews

[Current review](https://www.youtube.com/watch?v=bb8G9X5Q_4I) by Rexus

[![Current review](https://img.youtube.com/vi/bb8G9X5Q_4I/maxresdefault.jpg)](https://www.youtube.com/watch?v=bb8G9X5Q_4I)

[Old review](https://www.youtube.com/watch?v=YQyDNc7aGBs) by Niche Duck

## Included mods

The selected mods are inspired, but not limited by the [list of Optifine alternatives](https://gist.github.com/LambdAurora/1f6a4a99af374ce500f250c6b42e8754).

### Smooth
* [Sodium](https://www.curseforge.com/minecraft/mc-mods/sodium) - optimizes general rendering to improve FPS, adds some graphics options
* [Lithium](https://www.curseforge.com/minecraft/mc-mods/lithium) - optimizes game physics and chunk loading
* [Phosphor](https://www.curseforge.com/minecraft/mc-mods/phosphor) - optimizes light rendering
* [Hydrogen](https://modrinth.com/mod/hydrogen)¹ - reduces RAM usage
* [FerriteCore](https://www.curseforge.com/minecraft/mc-mods/ferritecore-fabric) - reduces RAM usage
* [EntityCulling Fabric/Forge](https://www.curseforge.com/minecraft/mc-mods/entityculling) - stops rendering entities that are behind a wall, useful in large servers and mobfarms
* [FastChest](https://www.curseforge.com/minecraft/mc-mods/fastchest) - makes chest rendering less intensive (more FPS on chest rooms!)
* [Better Beds](https://www.curseforge.com/minecraft/mc-mods/better-beds) - makes bed rendering less intensive (more FPS on villager farms!)
* [LazyDFU](https://github.com/astei/lazydfu) - makes the game startup faster
* [No Fade](https://www.curseforge.com/minecraft/mc-mods/no-fade) - makes game startup and resourcepack switch faster by removing fade animations
* [Smooth Boot](https://www.curseforge.com/minecraft/mc-mods/smooth-boot) - improves the overall responsiveness of the game (aka less likely to freeze)
* [Dynamic FPS](https://www.curseforge.com/minecraft/mc-mods/dynamic-fps) - renders Minecraft slower if it is in the background to save RAM
* [Smooth Scrolling Everywhere](https://www.curseforge.com/minecraft/mc-mods/smooth-scrolling-everywhere-fabric) - makes the scrolling smooth on various menus

### Pretty
* [Sodium Extra](https://www.curseforge.com/minecraft/mc-mods/sodium-extra) - adds many toggles to Sodium settings: animations, particles, weather, FPS indicator and more
* [LambDynamicLights](https://www.curseforge.com/minecraft/mc-mods/lambdynamiclights) - lets you light up the area by holding a torch, lights up TNT and creeper flashing
* [Fabric Capes](https://www.curseforge.com/minecraft/mc-mods/capes) - shows Optifine's and other custom capes in-game, see "I want a cape!" above
* [Cull Leaves](https://www.curseforge.com/minecraft/mc-mods/cull-leaves) - optionally makes fancy leaves more see-through, which could improve FPS (enable in mod settings)
* [Colormatic](https://www.curseforge.com/minecraft/mc-mods/colormatic) - adds Optifine custom colors support, clear skies and clear void options
* ['Slight' Gui Modifications](https://www.curseforge.com/minecraft/mc-mods/slight-gui-modifications) - adds fancy animations to the menus and containers, optional FPS counter
* [Item Model Fix](https://www.curseforge.com/minecraft/mc-mods/item-model-fix) - fixes transparent gaps in held items
* [Custom Fog](https://www.curseforge.com/minecraft/mc-mods/custom-fog) - lets you customize the fog distance and density
* [Fabrishot](https://www.curseforge.com/minecraft/mc-mods/fabrishot) - lets you take a high-res screenshot (press F9)

### Functional
* [Ok Zoomer](https://www.curseforge.com/minecraft/mc-mods/ok-zoomer) - adds a fancy zoom feature
* [AntiGhost](https://www.curseforge.com/minecraft/mc-mods/antighost) - fixes getting stuck in blocks with the press of G
* [Mod Menu](https://www.curseforge.com/minecraft/mc-mods/modmenu) - gives you the list of mods and lets you adjust their configuration
* [Not Enough Crashes](https://www.curseforge.com/minecraft/mc-mods/not-enough-crashes) - lets you play after a crash and report it comfortably
* [Fabric API](https://www.curseforge.com/minecraft/mc-mods/fabric-api) - makes most mods work
* [Cloth Config API](https://www.curseforge.com/minecraft/mc-mods/cloth-config) - makes many mods' config work
* [Architectury](https://www.curseforge.com/minecraft/mc-mods/architectury-fabric) - makes 'Slight' Gui Modifications work
* [Fabric Language Kotlin](https://www.curseforge.com/minecraft/mc-mods/fabric-language-kotlin) - makes Fabric Capes work
* [Jumploader](https://www.curseforge.com/minecraft/mc-mods/jumploader) - just to make this modpack available on this site and CurseForge Launcher (not needed for MultiMC and other launchers)

¹ The mod is not from Curseforge, but the license and Curseforge allow usage in modpacks

## Help

Help is provided by:

* [Curseforge listing](https://www.curseforge.com/minecraft/modpacks/fabulously-optimized) comments
* [Wiki](https://github.com/Madis0/fabulously-optimized/wiki)
* [Issues](https://github.com/Madis0/fabulously-optimized/issues) (mod suggestions, bug reports)
